NowAPIService interface - Android

concept australia Updated Sep 10, 2026 1 min read NowAPIServiceAndroidInterface.md
Raw file servicenow.com

The NowAPIService interface provides the ability to perform requests on a specified ServiceNow REST API.

Note: Guest users only work for the NowAPIService interface if the REST API being accessed is configured for guest users.

Name Type Description
configuration NowServiceConfiguration Service configuration to associate with the protocol.

Parent Topic:Mobile SDK - Android

NowAPIService - data(endpoint: NowAPIService.Endpoint, queryParams: QueryParams, headers: Headers, body: String)

Calls the specified REST API on the specified ServiceNow instance.

Name

Type

Description

endpoint

NowAPIService.Endpoint

REST endpoint to call.

queryParams

QueryParams

Optional. Query parameter object that contains the query parameters to pass in the REST call.Default: null

headers

Headers

Optional. Headers object that contains the headers to pass in the REST call.Default: null

body

String

Optional. Object that contains the request body and content type to pass into the REST call.Default: null

|Type|Description| |----|-----------| |[Call](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/cllent-mobile-api-reference/CallAndroidInterface.md)<[ByteArray](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/)>|Return results from the called REST endpoint.|
Java
suspend fun loadCases(): List<CaseItem> = withContext(Dispatchers.IO) {  val apiService = nowServiceManager.getNowAPIService()
  val result = runCatching {    val response = apiService.data(NowAPIService.Endpoint(      relativePath = CASES_API,      requestMethod = HttpMethod.GET,      requireAuth = true)    ).execute()
    val byteArray = response.body ?: throw Exception("Null Result")    val buffer = Buffer()    val reader = JsonReader.of(buffer.write(byteArray))    val listType = Types.newParameterizedType(      List::class.java,      CaseItem::class.java    )
    val resultType = Types.newParameterizedType(      ResultResponse::class.java,      listType    )    val adapter = moshi.adapter<ResultResponse<List<CaseItem>>>(resultType)    adapter.fromJson(reader)  }
  if (result.isSuccess) {      result.getOrNull()?.result ?: throw Exception("Cases not in response")  } else {      throw result.exceptionOrNull() ?: Exception("Error Cases")  }}
Search documentation
Search document titles and file paths on the australia branch